Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.groupedgrid.model
Interface VSpan

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VAttachment

All Known Implementing Classes:
  VSpanImpl

    public interface VSpan

extends VAttachment

A representation of the model object 'Span'.

The following features are supported:

- `Horizontal Span`

Since:
  1.2
See Also:
  `VGroupedGridPackage.getSpan()`

Method Summary
`int` | `getHorizontalSpan()` Returns the value of the 'Horizontal Span' attribute.
`void` | `setHorizontalSpan(int value)` Sets the value of the '`Horizontal Span`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getHorizontalSpan

    int getHorizontalSpan()

  Returns the value of the 'Horizontal Span' attribute.

  If the meaning of the 'Horizontal Span' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Horizontal Span' attribute.
  See Also:
    `setHorizontalSpan(int)`, `VGroupedGridPackage.getSpan_HorizontalSpan()`

### setHorizontalSpan

    void setHorizontalSpan(int value)

  Sets the value of the '`Horizontal Span`' attribute.

  Parameters:
    `value` - the new value of the 'Horizontal Span' attribute.
  See Also:
    `getHorizontalSpan()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.